---
title: Screen.colorDepth
slug: Web/API/Screen/colorDepth
tags:
  - API
  - CSSOM View
  - Property
  - Reference
---
<p>{{APIRef("CSSOM")}}</p>

<p>The <strong><code>Screen.colorDepth</code></strong> read-only property returns the color depth of the screen. Per the CSSOM, some implementations return <code>24</code> for compatibility reasons. See the browser compatibility section for those that don't.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>bitDepth</var> = window.screen.colorDepth;</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js;">// Check the color depth of the screen
if ( window.screen.colorDepth &lt; 8) {
  // Use low-color version of page
} else {
  // Use regular, colorful page
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSSOM View', '#dom-screen-colordepth', 'Screen.colorDepth')}}</td>
   <td>{{Spec2('CSSOM View')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Screen.colorDepth")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{DOMxRef("Screen.pixelDepth")}}</li>
</ul>
